Bug 222764 - the output of pxeboot -l do not show the IP of the client
the output of pxeboot -l do not show the IP of the client
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-netboot (Show other bugs)
4.4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-15 21:37 EST by Roger Pena-Escobio
Modified: 2008-07-24 15:33 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0672
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roger Pena-Escobio 2007-01-15 21:37:09 EST
Ok, this is a request for enhance, not exactly a bug :-)

Description of problem:
Well, when you run the command pxeboot -l the out is a concatenation of the
configurations of the diference pxeclients, it could be great if the IP of the
client is displayed just before its configuration.


Version-Release number of selected component (if applicable):
system-config-netboot-0.1.40-1_EL4

Actual results:
default RHEL4

label RHEL4
    kernel RHEL4/vmlinuz
    append initrd=RHEL4/initrd.img  ramdisk_size=7000 method=http://rhel-inst/
ip=dhcp  askmethod
default RHEL4

label RHEL4
    kernel RHEL4/vmlinuz
    append initrd=RHEL4/initrd.img  ramdisk_size=7000 method=http://rhel-inst/
ip=dhcp  text


Expected results:
something like this:
pxelinux client: 127.0.0.1
default RHEL4

label RHEL4
    kernel RHEL4/vmlinuz
    append initrd=RHEL4/initrd.img  ramdisk_size=7000 method=http://rhel-inst/
ip=dhcp  askmethod

pxelinux client: 172.17.0.22
default RHEL4

label RHEL4
    kernel RHEL4/vmlinuz
    append initrd=RHEL4/initrd.img  ramdisk_size=7000 method=http://rhel-inst/
ip=dhcp  text


Additional info:
with this patch to the pxeboot.py file you can get print the IP of the client:

--- /usr/share/system-config-netboot/pxeboot.py-ori     2007-01-15
21:00:36.000000000 -0500
+++ /usr/share/system-config-netboot/pxeboot.py 2007-01-15 20:59:32.000000000 -0500
@@ -508,6 +508,7 @@
                 for i in getPXEFiles().values():
                     pxe=pxeboot(i)
                     try:
+                        print '\npxelinux client: ' + i
                         print pxe.out()
                     except ValueError,message:
                         print _("\nError:Invalid PXE Boot File %s%s\n%s\n" %
(PXECFGDIR,i,message))
Comment 1 Radek Brich 2007-11-01 10:18:30 EDT
Thanks, the listing looks much more useful with your patch.
It will be fixed in next Fedora update (s-c-netboot 0.1.43).
Comment 2 RHEL Product and Program Management 2007-11-28 23:22:32 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2008-07-24 15:33:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0672.html

Note You need to log in before you can comment on or make changes to this bug.